Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network192.0.0.0/2
Usable hosts1,073,741,822
Subnet mask192.0.0.0
Addresses1,073,741,824
Network address
192.0.0.0
Broadcast address
255.255.255.255
First usable
192.0.0.1
Last usable
255.255.255.254
Usable hosts
1,073,741,822 (1,073,741,824 less the network and broadcast addresses)
Subnet mask
192.0.0.0
Wildcard mask
63.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/2
Type
Public public
Old class
C (default /24)
As numbers
Hex C0000000 · Integer 3221225472 to 4294967295
Reverse DNS zones
192.in-addr.arpa
193.in-addr.arpa
194.in-addr.arpa
195.in-addr.arpa
196.in-addr.arpa
197.in-addr.arpa
198.in-addr.arpa
199.in-addr.arpa
200.in-addr.arpa
201.in-addr.arpa
202.in-addr.arpa
203.in-addr.arpa
204.in-addr.arpa
205.in-addr.arpa
206.in-addr.arpa
207.in-addr.arpa
and 48 more
/2 is not on a 8-bit boundary, so it takes 64 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11000000.00000000.00000000.00000000192.0.0.0
Subnet mask11000000.00000000.00000000.00000000192.0.0.0
Network11000000.00000000.00000000.00000000192.0.0.0
Broadcast11111111.11111111.11111111.11111111255.255.255.255
Split into smaller subnets/11

192.0.0.0/2 makes 512 subnets of /11; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1192.0.0.0/11192.0.0.1 to 192.31.255.254192.31.255.2552,097,150
2192.32.0.0/11192.32.0.1 to 192.63.255.254192.63.255.2552,097,150
3192.64.0.0/11192.64.0.1 to 192.95.255.254192.95.255.2552,097,150
4192.96.0.0/11192.96.0.1 to 192.127.255.254192.127.255.2552,097,150
5192.128.0.0/11192.128.0.1 to 192.159.255.254192.159.255.2552,097,150
6192.160.0.0/11192.160.0.1 to 192.191.255.254192.191.255.2552,097,150
7192.192.0.0/11192.192.0.1 to 192.223.255.254192.223.255.2552,097,150
8192.224.0.0/11192.224.0.1 to 192.255.255.254192.255.255.2552,097,150
9193.0.0.0/11193.0.0.1 to 193.31.255.254193.31.255.2552,097,150
10193.32.0.0/11193.32.0.1 to 193.63.255.254193.63.255.2552,097,150
11193.64.0.0/11193.64.0.1 to 193.95.255.254193.95.255.2552,097,150
12193.96.0.0/11193.96.0.1 to 193.127.255.254193.127.255.2552,097,150
13193.128.0.0/11193.128.0.1 to 193.159.255.254193.159.255.2552,097,150
14193.160.0.0/11193.160.0.1 to 193.191.255.254193.191.255.2552,097,150
15193.192.0.0/11193.192.0.1 to 193.223.255.254193.223.255.2552,097,150
16193.224.0.0/11193.224.0.1 to 193.255.255.254193.255.255.2552,097,150
17194.0.0.0/11194.0.0.1 to 194.31.255.254194.31.255.2552,097,150
18194.32.0.0/11194.32.0.1 to 194.63.255.254194.63.255.2552,097,150
19194.64.0.0/11194.64.0.1 to 194.95.255.254194.95.255.2552,097,150
20194.96.0.0/11194.96.0.1 to 194.127.255.254194.127.255.2552,097,150
21194.128.0.0/11194.128.0.1 to 194.159.255.254194.159.255.2552,097,150
22194.160.0.0/11194.160.0.1 to 194.191.255.254194.191.255.2552,097,150
23194.192.0.0/11194.192.0.1 to 194.223.255.254194.223.255.2552,097,150
24194.224.0.0/11194.224.0.1 to 194.255.255.254194.255.255.2552,097,150
25195.0.0.0/11195.0.0.1 to 195.31.255.254195.31.255.2552,097,150
26195.32.0.0/11195.32.0.1 to 195.63.255.254195.63.255.2552,097,150
27195.64.0.0/11195.64.0.1 to 195.95.255.254195.95.255.2552,097,150
28195.96.0.0/11195.96.0.1 to 195.127.255.254195.127.255.2552,097,150
29195.128.0.0/11195.128.0.1 to 195.159.255.254195.159.255.2552,097,150
30195.160.0.0/11195.160.0.1 to 195.191.255.254195.191.255.2552,097,150
31195.192.0.0/11195.192.0.1 to 195.223.255.254195.223.255.2552,097,150
32195.224.0.0/11195.224.0.1 to 195.255.255.254195.255.255.2552,097,150
33196.0.0.0/11196.0.0.1 to 196.31.255.254196.31.255.2552,097,150
34196.32.0.0/11196.32.0.1 to 196.63.255.254196.63.255.2552,097,150
35196.64.0.0/11196.64.0.1 to 196.95.255.254196.95.255.2552,097,150
36196.96.0.0/11196.96.0.1 to 196.127.255.254196.127.255.2552,097,150
37196.128.0.0/11196.128.0.1 to 196.159.255.254196.159.255.2552,097,150
38196.160.0.0/11196.160.0.1 to 196.191.255.254196.191.255.2552,097,150
39196.192.0.0/11196.192.0.1 to 196.223.255.254196.223.255.2552,097,150
40196.224.0.0/11196.224.0.1 to 196.255.255.254196.255.255.2552,097,150
41197.0.0.0/11197.0.0.1 to 197.31.255.254197.31.255.2552,097,150
42197.32.0.0/11197.32.0.1 to 197.63.255.254197.63.255.2552,097,150
43197.64.0.0/11197.64.0.1 to 197.95.255.254197.95.255.2552,097,150
44197.96.0.0/11197.96.0.1 to 197.127.255.254197.127.255.2552,097,150
45197.128.0.0/11197.128.0.1 to 197.159.255.254197.159.255.2552,097,150
46197.160.0.0/11197.160.0.1 to 197.191.255.254197.191.255.2552,097,150
47197.192.0.0/11197.192.0.1 to 197.223.255.254197.223.255.2552,097,150
48197.224.0.0/11197.224.0.1 to 197.255.255.254197.255.255.2552,097,150
49198.0.0.0/11198.0.0.1 to 198.31.255.254198.31.255.2552,097,150
50198.32.0.0/11198.32.0.1 to 198.63.255.254198.63.255.2552,097,150
51198.64.0.0/11198.64.0.1 to 198.95.255.254198.95.255.2552,097,150
52198.96.0.0/11198.96.0.1 to 198.127.255.254198.127.255.2552,097,150
53198.128.0.0/11198.128.0.1 to 198.159.255.254198.159.255.2552,097,150
54198.160.0.0/11198.160.0.1 to 198.191.255.254198.191.255.2552,097,150
55198.192.0.0/11198.192.0.1 to 198.223.255.254198.223.255.2552,097,150
56198.224.0.0/11198.224.0.1 to 198.255.255.254198.255.255.2552,097,150
57199.0.0.0/11199.0.0.1 to 199.31.255.254199.31.255.2552,097,150
58199.32.0.0/11199.32.0.1 to 199.63.255.254199.63.255.2552,097,150
59199.64.0.0/11199.64.0.1 to 199.95.255.254199.95.255.2552,097,150
60199.96.0.0/11199.96.0.1 to 199.127.255.254199.127.255.2552,097,150
61199.128.0.0/11199.128.0.1 to 199.159.255.254199.159.255.2552,097,150
62199.160.0.0/11199.160.0.1 to 199.191.255.254199.191.255.2552,097,150
63199.192.0.0/11199.192.0.1 to 199.223.255.254199.223.255.2552,097,150
64199.224.0.0/11199.224.0.1 to 199.255.255.254199.255.255.2552,097,150
65200.0.0.0/11200.0.0.1 to 200.31.255.254200.31.255.2552,097,150
66200.32.0.0/11200.32.0.1 to 200.63.255.254200.63.255.2552,097,150
67200.64.0.0/11200.64.0.1 to 200.95.255.254200.95.255.2552,097,150
68200.96.0.0/11200.96.0.1 to 200.127.255.254200.127.255.2552,097,150
69200.128.0.0/11200.128.0.1 to 200.159.255.254200.159.255.2552,097,150
70200.160.0.0/11200.160.0.1 to 200.191.255.254200.191.255.2552,097,150
71200.192.0.0/11200.192.0.1 to 200.223.255.254200.223.255.2552,097,150
72200.224.0.0/11200.224.0.1 to 200.255.255.254200.255.255.2552,097,150
73201.0.0.0/11201.0.0.1 to 201.31.255.254201.31.255.2552,097,150
74201.32.0.0/11201.32.0.1 to 201.63.255.254201.63.255.2552,097,150
75201.64.0.0/11201.64.0.1 to 201.95.255.254201.95.255.2552,097,150
76201.96.0.0/11201.96.0.1 to 201.127.255.254201.127.255.2552,097,150
77201.128.0.0/11201.128.0.1 to 201.159.255.254201.159.255.2552,097,150
78201.160.0.0/11201.160.0.1 to 201.191.255.254201.191.255.2552,097,150
79201.192.0.0/11201.192.0.1 to 201.223.255.254201.223.255.2552,097,150
80201.224.0.0/11201.224.0.1 to 201.255.255.254201.255.255.2552,097,150
81202.0.0.0/11202.0.0.1 to 202.31.255.254202.31.255.2552,097,150
82202.32.0.0/11202.32.0.1 to 202.63.255.254202.63.255.2552,097,150
83202.64.0.0/11202.64.0.1 to 202.95.255.254202.95.255.2552,097,150
84202.96.0.0/11202.96.0.1 to 202.127.255.254202.127.255.2552,097,150
85202.128.0.0/11202.128.0.1 to 202.159.255.254202.159.255.2552,097,150
86202.160.0.0/11202.160.0.1 to 202.191.255.254202.191.255.2552,097,150
87202.192.0.0/11202.192.0.1 to 202.223.255.254202.223.255.2552,097,150
88202.224.0.0/11202.224.0.1 to 202.255.255.254202.255.255.2552,097,150
89203.0.0.0/11203.0.0.1 to 203.31.255.254203.31.255.2552,097,150
90203.32.0.0/11203.32.0.1 to 203.63.255.254203.63.255.2552,097,150
91203.64.0.0/11203.64.0.1 to 203.95.255.254203.95.255.2552,097,150
92203.96.0.0/11203.96.0.1 to 203.127.255.254203.127.255.2552,097,150
93203.128.0.0/11203.128.0.1 to 203.159.255.254203.159.255.2552,097,150
94203.160.0.0/11203.160.0.1 to 203.191.255.254203.191.255.2552,097,150
95203.192.0.0/11203.192.0.1 to 203.223.255.254203.223.255.2552,097,150
96203.224.0.0/11203.224.0.1 to 203.255.255.254203.255.255.2552,097,150
97204.0.0.0/11204.0.0.1 to 204.31.255.254204.31.255.2552,097,150
98204.32.0.0/11204.32.0.1 to 204.63.255.254204.63.255.2552,097,150
99204.64.0.0/11204.64.0.1 to 204.95.255.254204.95.255.2552,097,150
100204.96.0.0/11204.96.0.1 to 204.127.255.254204.127.255.2552,097,150
101204.128.0.0/11204.128.0.1 to 204.159.255.254204.159.255.2552,097,150
102204.160.0.0/11204.160.0.1 to 204.191.255.254204.191.255.2552,097,150
103204.192.0.0/11204.192.0.1 to 204.223.255.254204.223.255.2552,097,150
104204.224.0.0/11204.224.0.1 to 204.255.255.254204.255.255.2552,097,150
105205.0.0.0/11205.0.0.1 to 205.31.255.254205.31.255.2552,097,150
106205.32.0.0/11205.32.0.1 to 205.63.255.254205.63.255.2552,097,150
107205.64.0.0/11205.64.0.1 to 205.95.255.254205.95.255.2552,097,150
108205.96.0.0/11205.96.0.1 to 205.127.255.254205.127.255.2552,097,150
109205.128.0.0/11205.128.0.1 to 205.159.255.254205.159.255.2552,097,150
110205.160.0.0/11205.160.0.1 to 205.191.255.254205.191.255.2552,097,150
111205.192.0.0/11205.192.0.1 to 205.223.255.254205.223.255.2552,097,150
112205.224.0.0/11205.224.0.1 to 205.255.255.254205.255.255.2552,097,150
113206.0.0.0/11206.0.0.1 to 206.31.255.254206.31.255.2552,097,150
114206.32.0.0/11206.32.0.1 to 206.63.255.254206.63.255.2552,097,150
115206.64.0.0/11206.64.0.1 to 206.95.255.254206.95.255.2552,097,150
116206.96.0.0/11206.96.0.1 to 206.127.255.254206.127.255.2552,097,150
117206.128.0.0/11206.128.0.1 to 206.159.255.254206.159.255.2552,097,150
118206.160.0.0/11206.160.0.1 to 206.191.255.254206.191.255.2552,097,150
119206.192.0.0/11206.192.0.1 to 206.223.255.254206.223.255.2552,097,150
120206.224.0.0/11206.224.0.1 to 206.255.255.254206.255.255.2552,097,150
121207.0.0.0/11207.0.0.1 to 207.31.255.254207.31.255.2552,097,150
122207.32.0.0/11207.32.0.1 to 207.63.255.254207.63.255.2552,097,150
123207.64.0.0/11207.64.0.1 to 207.95.255.254207.95.255.2552,097,150
124207.96.0.0/11207.96.0.1 to 207.127.255.254207.127.255.2552,097,150
125207.128.0.0/11207.128.0.1 to 207.159.255.254207.159.255.2552,097,150
126207.160.0.0/11207.160.0.1 to 207.191.255.254207.191.255.2552,097,150
127207.192.0.0/11207.192.0.1 to 207.223.255.254207.223.255.2552,097,150
128207.224.0.0/11207.224.0.1 to 207.255.255.254207.255.255.2552,097,150
129208.0.0.0/11208.0.0.1 to 208.31.255.254208.31.255.2552,097,150
130208.32.0.0/11208.32.0.1 to 208.63.255.254208.63.255.2552,097,150
131208.64.0.0/11208.64.0.1 to 208.95.255.254208.95.255.2552,097,150
132208.96.0.0/11208.96.0.1 to 208.127.255.254208.127.255.2552,097,150
133208.128.0.0/11208.128.0.1 to 208.159.255.254208.159.255.2552,097,150
134208.160.0.0/11208.160.0.1 to 208.191.255.254208.191.255.2552,097,150
135208.192.0.0/11208.192.0.1 to 208.223.255.254208.223.255.2552,097,150
136208.224.0.0/11208.224.0.1 to 208.255.255.254208.255.255.2552,097,150
137209.0.0.0/11209.0.0.1 to 209.31.255.254209.31.255.2552,097,150
138209.32.0.0/11209.32.0.1 to 209.63.255.254209.63.255.2552,097,150
139209.64.0.0/11209.64.0.1 to 209.95.255.254209.95.255.2552,097,150
140209.96.0.0/11209.96.0.1 to 209.127.255.254209.127.255.2552,097,150
141209.128.0.0/11209.128.0.1 to 209.159.255.254209.159.255.2552,097,150
142209.160.0.0/11209.160.0.1 to 209.191.255.254209.191.255.2552,097,150
143209.192.0.0/11209.192.0.1 to 209.223.255.254209.223.255.2552,097,150
144209.224.0.0/11209.224.0.1 to 209.255.255.254209.255.255.2552,097,150
145210.0.0.0/11210.0.0.1 to 210.31.255.254210.31.255.2552,097,150
146210.32.0.0/11210.32.0.1 to 210.63.255.254210.63.255.2552,097,150
147210.64.0.0/11210.64.0.1 to 210.95.255.254210.95.255.2552,097,150
148210.96.0.0/11210.96.0.1 to 210.127.255.254210.127.255.2552,097,150
149210.128.0.0/11210.128.0.1 to 210.159.255.254210.159.255.2552,097,150
150210.160.0.0/11210.160.0.1 to 210.191.255.254210.191.255.2552,097,150
151210.192.0.0/11210.192.0.1 to 210.223.255.254210.223.255.2552,097,150
152210.224.0.0/11210.224.0.1 to 210.255.255.254210.255.255.2552,097,150
153211.0.0.0/11211.0.0.1 to 211.31.255.254211.31.255.2552,097,150
154211.32.0.0/11211.32.0.1 to 211.63.255.254211.63.255.2552,097,150
155211.64.0.0/11211.64.0.1 to 211.95.255.254211.95.255.2552,097,150
156211.96.0.0/11211.96.0.1 to 211.127.255.254211.127.255.2552,097,150
157211.128.0.0/11211.128.0.1 to 211.159.255.254211.159.255.2552,097,150
158211.160.0.0/11211.160.0.1 to 211.191.255.254211.191.255.2552,097,150
159211.192.0.0/11211.192.0.1 to 211.223.255.254211.223.255.2552,097,150
160211.224.0.0/11211.224.0.1 to 211.255.255.254211.255.255.2552,097,150
161212.0.0.0/11212.0.0.1 to 212.31.255.254212.31.255.2552,097,150
162212.32.0.0/11212.32.0.1 to 212.63.255.254212.63.255.2552,097,150
163212.64.0.0/11212.64.0.1 to 212.95.255.254212.95.255.2552,097,150
164212.96.0.0/11212.96.0.1 to 212.127.255.254212.127.255.2552,097,150
165212.128.0.0/11212.128.0.1 to 212.159.255.254212.159.255.2552,097,150
166212.160.0.0/11212.160.0.1 to 212.191.255.254212.191.255.2552,097,150
167212.192.0.0/11212.192.0.1 to 212.223.255.254212.223.255.2552,097,150
168212.224.0.0/11212.224.0.1 to 212.255.255.254212.255.255.2552,097,150
169213.0.0.0/11213.0.0.1 to 213.31.255.254213.31.255.2552,097,150
170213.32.0.0/11213.32.0.1 to 213.63.255.254213.63.255.2552,097,150
171213.64.0.0/11213.64.0.1 to 213.95.255.254213.95.255.2552,097,150
172213.96.0.0/11213.96.0.1 to 213.127.255.254213.127.255.2552,097,150
173213.128.0.0/11213.128.0.1 to 213.159.255.254213.159.255.2552,097,150
174213.160.0.0/11213.160.0.1 to 213.191.255.254213.191.255.2552,097,150
175213.192.0.0/11213.192.0.1 to 213.223.255.254213.223.255.2552,097,150
176213.224.0.0/11213.224.0.1 to 213.255.255.254213.255.255.2552,097,150
177214.0.0.0/11214.0.0.1 to 214.31.255.254214.31.255.2552,097,150
178214.32.0.0/11214.32.0.1 to 214.63.255.254214.63.255.2552,097,150
179214.64.0.0/11214.64.0.1 to 214.95.255.254214.95.255.2552,097,150
180214.96.0.0/11214.96.0.1 to 214.127.255.254214.127.255.2552,097,150
181214.128.0.0/11214.128.0.1 to 214.159.255.254214.159.255.2552,097,150
182214.160.0.0/11214.160.0.1 to 214.191.255.254214.191.255.2552,097,150
183214.192.0.0/11214.192.0.1 to 214.223.255.254214.223.255.2552,097,150
184214.224.0.0/11214.224.0.1 to 214.255.255.254214.255.255.2552,097,150
185215.0.0.0/11215.0.0.1 to 215.31.255.254215.31.255.2552,097,150
186215.32.0.0/11215.32.0.1 to 215.63.255.254215.63.255.2552,097,150
187215.64.0.0/11215.64.0.1 to 215.95.255.254215.95.255.2552,097,150
188215.96.0.0/11215.96.0.1 to 215.127.255.254215.127.255.2552,097,150
189215.128.0.0/11215.128.0.1 to 215.159.255.254215.159.255.2552,097,150
190215.160.0.0/11215.160.0.1 to 215.191.255.254215.191.255.2552,097,150
191215.192.0.0/11215.192.0.1 to 215.223.255.254215.223.255.2552,097,150
192215.224.0.0/11215.224.0.1 to 215.255.255.254215.255.255.2552,097,150
193216.0.0.0/11216.0.0.1 to 216.31.255.254216.31.255.2552,097,150
194216.32.0.0/11216.32.0.1 to 216.63.255.254216.63.255.2552,097,150
195216.64.0.0/11216.64.0.1 to 216.95.255.254216.95.255.2552,097,150
196216.96.0.0/11216.96.0.1 to 216.127.255.254216.127.255.2552,097,150
197216.128.0.0/11216.128.0.1 to 216.159.255.254216.159.255.2552,097,150
198216.160.0.0/11216.160.0.1 to 216.191.255.254216.191.255.2552,097,150
199216.192.0.0/11216.192.0.1 to 216.223.255.254216.223.255.2552,097,150
200216.224.0.0/11216.224.0.1 to 216.255.255.254216.255.255.2552,097,150
201217.0.0.0/11217.0.0.1 to 217.31.255.254217.31.255.2552,097,150
202217.32.0.0/11217.32.0.1 to 217.63.255.254217.63.255.2552,097,150
203217.64.0.0/11217.64.0.1 to 217.95.255.254217.95.255.2552,097,150
204217.96.0.0/11217.96.0.1 to 217.127.255.254217.127.255.2552,097,150
205217.128.0.0/11217.128.0.1 to 217.159.255.254217.159.255.2552,097,150
206217.160.0.0/11217.160.0.1 to 217.191.255.254217.191.255.2552,097,150
207217.192.0.0/11217.192.0.1 to 217.223.255.254217.223.255.2552,097,150
208217.224.0.0/11217.224.0.1 to 217.255.255.254217.255.255.2552,097,150
209218.0.0.0/11218.0.0.1 to 218.31.255.254218.31.255.2552,097,150
210218.32.0.0/11218.32.0.1 to 218.63.255.254218.63.255.2552,097,150
211218.64.0.0/11218.64.0.1 to 218.95.255.254218.95.255.2552,097,150
212218.96.0.0/11218.96.0.1 to 218.127.255.254218.127.255.2552,097,150
213218.128.0.0/11218.128.0.1 to 218.159.255.254218.159.255.2552,097,150
214218.160.0.0/11218.160.0.1 to 218.191.255.254218.191.255.2552,097,150
215218.192.0.0/11218.192.0.1 to 218.223.255.254218.223.255.2552,097,150
216218.224.0.0/11218.224.0.1 to 218.255.255.254218.255.255.2552,097,150
217219.0.0.0/11219.0.0.1 to 219.31.255.254219.31.255.2552,097,150
218219.32.0.0/11219.32.0.1 to 219.63.255.254219.63.255.2552,097,150
219219.64.0.0/11219.64.0.1 to 219.95.255.254219.95.255.2552,097,150
220219.96.0.0/11219.96.0.1 to 219.127.255.254219.127.255.2552,097,150
221219.128.0.0/11219.128.0.1 to 219.159.255.254219.159.255.2552,097,150
222219.160.0.0/11219.160.0.1 to 219.191.255.254219.191.255.2552,097,150
223219.192.0.0/11219.192.0.1 to 219.223.255.254219.223.255.2552,097,150
224219.224.0.0/11219.224.0.1 to 219.255.255.254219.255.255.2552,097,150
225220.0.0.0/11220.0.0.1 to 220.31.255.254220.31.255.2552,097,150
226220.32.0.0/11220.32.0.1 to 220.63.255.254220.63.255.2552,097,150
227220.64.0.0/11220.64.0.1 to 220.95.255.254220.95.255.2552,097,150
228220.96.0.0/11220.96.0.1 to 220.127.255.254220.127.255.2552,097,150
229220.128.0.0/11220.128.0.1 to 220.159.255.254220.159.255.2552,097,150
230220.160.0.0/11220.160.0.1 to 220.191.255.254220.191.255.2552,097,150
231220.192.0.0/11220.192.0.1 to 220.223.255.254220.223.255.2552,097,150
232220.224.0.0/11220.224.0.1 to 220.255.255.254220.255.255.2552,097,150
233221.0.0.0/11221.0.0.1 to 221.31.255.254221.31.255.2552,097,150
234221.32.0.0/11221.32.0.1 to 221.63.255.254221.63.255.2552,097,150
235221.64.0.0/11221.64.0.1 to 221.95.255.254221.95.255.2552,097,150
236221.96.0.0/11221.96.0.1 to 221.127.255.254221.127.255.2552,097,150
237221.128.0.0/11221.128.0.1 to 221.159.255.254221.159.255.2552,097,150
238221.160.0.0/11221.160.0.1 to 221.191.255.254221.191.255.2552,097,150
239221.192.0.0/11221.192.0.1 to 221.223.255.254221.223.255.2552,097,150
240221.224.0.0/11221.224.0.1 to 221.255.255.254221.255.255.2552,097,150
241222.0.0.0/11222.0.0.1 to 222.31.255.254222.31.255.2552,097,150
242222.32.0.0/11222.32.0.1 to 222.63.255.254222.63.255.2552,097,150
243222.64.0.0/11222.64.0.1 to 222.95.255.254222.95.255.2552,097,150
244222.96.0.0/11222.96.0.1 to 222.127.255.254222.127.255.2552,097,150
245222.128.0.0/11222.128.0.1 to 222.159.255.254222.159.255.2552,097,150
246222.160.0.0/11222.160.0.1 to 222.191.255.254222.191.255.2552,097,150
247222.192.0.0/11222.192.0.1 to 222.223.255.254222.223.255.2552,097,150
248222.224.0.0/11222.224.0.1 to 222.255.255.254222.255.255.2552,097,150
249223.0.0.0/11223.0.0.1 to 223.31.255.254223.31.255.2552,097,150
250223.32.0.0/11223.32.0.1 to 223.63.255.254223.63.255.2552,097,150
251223.64.0.0/11223.64.0.1 to 223.95.255.254223.95.255.2552,097,150
252223.96.0.0/11223.96.0.1 to 223.127.255.254223.127.255.2552,097,150
253223.128.0.0/11223.128.0.1 to 223.159.255.254223.159.255.2552,097,150
254223.160.0.0/11223.160.0.1 to 223.191.255.254223.191.255.2552,097,150
255223.192.0.0/11223.192.0.1 to 223.223.255.254223.223.255.2552,097,150
256223.224.0.0/11223.224.0.1 to 223.255.255.254223.255.255.2552,097,150

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses